Bug 589861 - [abrt] crash in DomainMapper_Impl::finishParagraph
Summary: [abrt] crash in DomainMapper_Impl::finishParagraph
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:202f38c92a0ef5c2369fd11c5c4...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 06:50 UTC by Igor Katalnikov
Modified: 2010-06-02 18:09 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.2.0-12.23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-02 18:09:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (179.79 KB, text/plain)
2010-05-07 06:50 UTC, Igor Katalnikov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 111446 None None None Never

Description Igor Katalnikov 2010-05-07 06:50:35 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/swriter.bin -writer file:///home/igor/Downloads/DirAppLaunch.docx
component: openoffice.org
crash_function: writerfilter::(anonymous namespace)::DomainMapper_Impl::finishParagraph
executable: /usr/lib64/openoffice.org3/program/swriter.bin
global_uuid: 202f38c92a0ef5c2369fd11c5c44b0c18f4a30f4
kernel: 2.6.33.3-79.fc13.x86_64
package: openoffice.org-writer-1:3.2.0-12.17.fc13
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Get microsoft whitepaper form http://www.microsoft.com/whdc/system/platform/firmware/DirAppLaunch.mspx
2. Try to open it with OpenOffice
3.

Comment 1 Igor Katalnikov 2010-05-07 06:50:39 UTC
Created attachment 412246 [details]
File: backtrace

Comment 2 Caolan McNamara 2010-05-07 07:38:33 UTC
reproducible

Comment 3 Igor Katalnikov 2010-05-07 07:39:47 UTC
Package: openoffice.org-writer-1:3.2.0-12.17.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open OpenOffice writer
2. Open whitepaper from http://www.microsoft.com/whdc/system/platform/firmware/DirAppLaunch.mspx
3.

Comment 4 Caolan McNamara 2010-05-07 08:05:14 UTC
fix checked in and submitted upstream

Comment 5 Fedora Update System 2010-05-08 08:42:13 UTC
openoffice.org-3.2.0-12.21.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.21.fc13

Comment 6 Fedora Update System 2010-05-08 16:10:28 UTC
openoffice.org-3.2.0-12.21.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.21.fc13

Comment 7 Igor Katalnikov 2010-05-09 06:01:48 UTC
.docx file can be processed as expected. Looks good.

Comment 8 Fedora Update System 2010-05-22 07:21:30 UTC
openoffice.org-3.2.0-12.23.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.23.fc13

Comment 9 Fedora Update System 2010-05-24 19:43:37 UTC
openoffice.org-3.2.0-12.23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.23.fc13

Comment 10 Fedora Update System 2010-06-02 18:08:46 UTC
openoffice.org-3.2.0-12.23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.